Khi bạn thử dùng Postman (phiên bản desktop) gửi một request, có thể nhận thông báo lỗi sau:

Error: unable to verify the first certificate alert-error


Nguyên nhân

Do chứng chỉ bảo mật SSL không hợp lệ nên vì thế không tạo được kết nối an toàn đến máy chủ. Khi mình thử truy cập API bằng trình duyệt thì nhận về thông báo lỗi như sau:


Cách giải quyết

Sau khi tìm kiếm lỗi "Error: unable to verify the first certificate" trên Google. Mình đã tìm thấy được issue này trên Github của Postman (issue #6354), hướng dẫn như sau:

Truy cập menu: File Settings General → Chuyển: SSL Certificate Verification thành OFF


Sau khi mình tắt SSL Certificate Verification thành OFF thì thử gửi lại request trong Postman thì nó hoạt động bình thường.

Lưu ý: Đây chỉ là cách giải quyết trên Postman để bạn tiện khi kiểm thử API. Khi đưa API lên server thì bạn cần cài đặt chứng chỉ bảo mật SSL nhé. alert-warning
 
Hi vọng sẽ hữu ích cho bạn.


Bình luận

Mới hơn Cũ hơn